Name:           gnome-applet-music
Version:        0.9.2
Release:        2%{?dist}
Summary:        A GNOME panel applet to control various music players

Group:          Applications/Multimedia
License:        GPL
URL:            http://web.ics.purdue.edu/~kuliniew/music-applet/
Source0:        http://web.ics.purdue.edu/~kuliniew/music-applet/downloads/music-applet-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gnome-panel-devel
BuildRequires:	eel2-devel
BuildRequires:	dbus-devel
BuildRequires:	gettext
BuildRequires:	perl(XML::Parser)

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

Provides:       music-applet gnome-applet-rhythmbox rhythmbox-applet
Obsoletes:      gnome-applet-rhythmbox

%description
Music Applet is a small, simple GNOME panel applet that lets you control a
variety of different music players from the panel. Music Applet provides easy
access to information about the current song and the most important playback
controls.

Music Applet currently supports the following music players:

 * Banshee
 * Rhythmbox

Music Applet is the successor to Rhythmbox Applet.

%prep
%setup -q -n music-applet-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang music-applet

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/music-applet.schemas >/dev/null || :
    killall -HUP gconfd-2 || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/music-applet.schemas > /dev/null || :
killall -HUP gconfd-2 || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/music-applet.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

%files -f music-applet.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/music-applet
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Sun Sep 03 2006 Peter Gordon <peter@thecodergeek.com> - 0.9.2-2
- Add gettext and perl(XML::Parser) to BuildRequires (fixes bug #197924: fails
  to build in mock with reduced build root)
- Rebuild for FC6 enhancements

* Thu Jun 22 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.2-1
- Upstream update

* Sun Mar 26 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.0
- Renamed to gnome-applet-music from gnome-applet-rhythmbox
